Module
Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

Pre prístup k tomuto príkazu...

Vložiť - Funkcia - Kategória Ďalšie

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

### Syntax

BESSELI(X; N)

X je hodnota, ktorou bude funkcia počítaná.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

### Examples

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

### Syntax

BESSELJ(X; N)

X je hodnota, ktorou bude funkcia počítaná.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

### Examples

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

### Examples

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

### Examples

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN2DEC

Prevedie zadané číslo v dvojkovej sústave do desiatkovej

### Syntax

BIN2DEC(Číslo)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

### Príklad

=BIN2DEC(1100100) vráti 100.

## BIN2HEX

Prevedie určené číslo v dvojkovej sústave do šestnástkovej sústavy

### Syntax

BIN2HEX(Číslo; Miesta)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

Miesta znamená počet miest, ktoré majú byť na výstupe.

### Príklad

=BIN2HEX(1100100;6)vráti 000064.

## BIN2OCT

Prevedie zadané číslo v dvojkovej sústave do osmičkovej sústavy

### Syntax

BIN2OCT(Číslo;Miesta)

Číslo je binárne číslo. Číslo môže mať maximálne 10 miest (bitov). Najvýznamnejší bit je znamienkový bit. Záporné čísla sú zadané vo formáte dvojkového doplnku.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=BIN2OCT(1100100;4) vráti 0144.

## DEC2BIN

Prevedie číslo v desiatkovej sústave v rozmedzí -512 a 511 do binárnej sústavy.

### Syntax

DEC2BIN(Číslo; Miesta)

Číslo je desiatkové číslo. Ak je číslo záporné, vráti funkcia binárne číslo s 10 znakmi. Najvýznamnejší bit je znamiekový bit, ostatných 9 bitov vráti hodnotu.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=DEC2BIN(100;8) vráti 01100100.

## DEC2HEX

Prevedie zadané číslo v desiatkovej sústave do šestnástkovej

### Syntax

DEC2HEX(Čísla; Miesta)

Číslo je desiatkové číslo. Ak je záporné, vráti funkcia šestnástkové číslo s 10 znakmi (40 bitov). Najvýznamnejší bit je znamienkový bit, ostatných 39 bitov vráti hodnotu.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=DEC2HEX(100;4) vráti 0064.

## DEC2OCT

Prevedie zadané číslo v dvojkovej sústave do osmičkovej sústavy

### Syntax

BIN2OCT(Číslo;Miesta)

Číslo je desiatkové číslo. Ak je záporné, vráti funkcia šestnástkové číslo s 10 znakmi (40 bitov). Najvýznamnejší bit je znamienkový bit, ostatných 39 bitov vráti hodnotu.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=DEC2HEX(100;4) vráti 0064.

## DELTA

Ak sa čísla zadané v parametroch rovnajú, je výsledok TRUE (1), inak FALSE (0)

### Syntax

DELTA(Číslo1; Číslo2)

### Príklad

=DELTA(1;2) vráti 0.

## ERF

Returns values of the Gaussian error integral.

### Syntax

ERF(LowerLimit; UpperLimit)

LowerLimit is the lower limit of the integral.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes places between 0 and the lower limit.

### Príklad

=ABS(0) vráti 0.

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes places between 0 and this limit.

### Príklad

=ERF.PRECISE(1) returns 0.842701.

## ERFC

Returns complementary values of the Gaussian error integral between x and infinity.

### Syntax

ERFC(LowerLimit)

LowerLimit is the lower limit of the integral

### Príklad

=YEAR(1) vráti 1899

## ERFC.PRECISE

Returns complementary values of the Gaussian error integral between x and infinity.

### Syntax

ERFC.PRECISE(LowerLimit)

LowerLimit is the lower limit of the integral

### Príklad

=ERFC.PRECISE(1) returns 0.157299.

## GESTEP

The result is 1 if Number is greater than or equal to Step.

### Syntax

GESTEP(Number; Step)

### Príklad

=DELTA(1;2) vráti 0.

## HEX2BIN

Prevedie zadané číslo v desiatkovej sústave do šestnástkovej

### Syntax

DEC2BIN(Číslo; Miesta)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=HEX2BIN("6a";8) returns 01101010.

## HEX2DEC

Prevedie zadané číslo v desiatkovej sústave do šestnástkovej

### Syntax

BIN2DEC(Číslo)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

### Príklad

=HEX2DEC("6a") returns 106.

## HEX2OCT

Prevedie zadané číslo v dvojkovej sústave do osmičkovej sústavy

### Syntax

BIN2OCT(Číslo;Miesta)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Miesta znamená počet miest ktoré majú byť na výstupe.

### Príklad

=HEX2OCT("6a";4) returns 0152.

Related Topics

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category